Spavik
API referenceUsage and plans

List plans

GET /v1/plans

Download OpenAPI
GET
/v1/plans

Header Parameters

User-Agent?string

Information about the agent originating the request, when known. Browsers supply their own value. Optional diagnostic metadata, declared by the caller and never used for authorization. Omit unknown values. Values are trimmed and truncated to the documented length.

Lengthlength <= 1024
X-Spavik-Client-Name?string

HTTP caller: SDK, MCP server or direct application (for example spavik-sdk-python, spavik-sdk-javascript or spavik-mcp). Optional diagnostic metadata, declared by the caller and never used for authorization. Omit unknown values. Values are trimmed and truncated to the documented length.

Lengthlength <= 128
X-Spavik-Client-Version?string

Version of that SDK, MCP server or direct application. Optional diagnostic metadata, declared by the caller and never used for authorization. Omit unknown values. Values are trimmed and truncated to the documented length.

Lengthlength <= 64

Response Body

Success

application/json
  1. response
[index: integer]?
import requestsurl = "https://api.spavik.co/v1/plans"response = requests.request("GET", url)print(response.text)
[  {    "id": "string",    "name": "string",    "prices": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "billing_interval": "month",        "amount_cents": 1,        "currency": "USD",        "price_excludes_tax": true      }    ],    "currency": "USD",    "price_excludes_tax": true,    "price_per_thousand_cents": 0,    "description": "string",    "data_policy": "training_allowed",    "advanced_data_controls": true,    "support_tier": "string",    "signup_credits": 0,    "limits": {      "max_context_rows": 0,      "max_predict_rows": 0,      "max_models": 0,      "included_units_per_month": 0,      "unlimited_usage": true    }  }]

How is this guide?

Last updated on